/* 
   Copyright 1994-2003 Free Software Foundation, Inc.

   This library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 
   USA

   You may contact the author at:

   mailto::camille@bluegrass.net

   or by snail mail at:

   David Lindauer
   850 Washburn Ave Apt 99
   Louisville, KY 40222
*/
#include <dos.h>
#include <dir.h>
#include <errno.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <memory.h>

char  *_RTL_FUNC      getcwd( char  *__buf, int __buflen )
{
	int drv,rv;
	char ibuf[265];
	drv = getdisk() ;
	rv = getcurdir(0,ibuf+3);
	ibuf[0] = drv + 'A';
	ibuf[1] = ':';
	ibuf[2] = '\\';
	if (!__buf)
		__buf = strdup(ibuf) ;
	else {
		memcpy(__buf,ibuf,__buflen);
		__buf[__buflen-1] = 0;
	}
   return __buf;
}
char  *_RTL_FUNC      _getcwd( char  *__buf, int __buflen )
{
	return getcwd(__buf, __buflen);
}
